/***************************************************************************
**
**    $Header:   D:/EP196/SRC/LOG/SRCDLL/SRCFRM.H__   1.0   15 Aug 1997 14:03:42   ZJRD  $
**
**    $Log:   D:/EP196/SRC/LOG/SRCDLL/SRCFRM.H__  $
** 
**    Rev 1.0   15 Aug 1997 14:03:42   ZJRD
** Initial revision.
** 
**    Rev 1.1.7.0   19 Jun 1997 14:49:18   ZJRD
** 1.0c
** 
****************************************************************************/

// srcfrm.h : header file
//
#ifndef _SRCFRM_H_
#define _SRCFRM_H_

/////////////////////////////////////////////////////////////////////////////
// CSourceFrame frame with splitter

#ifndef __AFXEXT_H__
#include <afxext.h>
#endif

class CSourceFrame : public CMDIChildWnd
{
	DECLARE_DYNCREATE(CSourceFrame)
protected:
	CSourceFrame();			// protected constructor used by dynamic creation

// Operations
public:
	void UpdateSourceWindow(const int nMode);

// Control bar embedded members
protected:
	CSourceWizardBar m_wndWizardBar;
public:
	CSourceWizardBar* GetWizardBar() { return &m_wndWizardBar; }

// Implementation
protected:
	virtual ~CSourceFrame();

	// Generated message map functions
	//{{AFX_MSG(CSourceFrame)
	afx_msg void OnGetMinMaxInfo(MINMAXINFO FAR* lpMMI);
	afx_msg void OnMDIActivate(BOOL bActivate, CWnd* pActivateWnd, CWnd* pDeactivateWnd);
	afx_msg void OnClose();
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnSelchangeComboSrcWizardbarModule();
	afx_msg void OnProp();
	afx_msg void OnUpdateProp(CCmdUI* pCmdUI);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
/////////////////////////////////////////////////////////////////////////////
